Symbol Details

Scrip Master Data

GET
/api/mkt-data/scrips/symbol-store/{scripGroup}
  • Get complete list of scrips based on the group passed in path.
  • This request accepts two types of response format: text/plain and application/json.
  • text/plain: Normal plain string in csv format, rows separated with newline and columns separated with , (comma).
  • application/json: List of scripts in a json array format. But usually slower than plain text format due to its larger size.

Path Parameters

scripGroup*string

Enter symbol categories to download

Response Body

curl -X GET "https://example.com/api/mkt-data/scrips/symbol-store/CommodityOptions"
{
  "s": "ok",
  "d": [
    {
      "id": "EQT_RELIANCE_EQ_NSE",
      "isin": "INE002A01018",
      "dispName": "RELIANCE",
      "desc": "RELIANCE INDUSTRIES LTD",
      "excToken": "2885",
      "lot": 1,
      "tick": 0.05,
      "asset": "equity",
      "instrument": "EQUITY",
      "symbol": "RELIANCE",
      "series": "EQ",
      "exchange": "NSE",
      "freezeQty": 67662
    }
  ]
}